<?php
/**
 * The template for displaying categories results pages.
 *
 * @package Modeltheme
 */

get_header(); 

$class = "";
if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_fullwidth' ) {
    $class = "vc_row";
}elseif ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' or eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar') {
    $class = "vc_col-md-9";
}
$sidebar = eduprime_redux('eduprime_blog_layout_sidebar');
?>



<!-- Breadcrumbs -->
<div class="modeltheme-breadcrumbs">
    <div class="container">
        <div class="row">
            <div class="vc_col-md-12">
                <h1 class="page-title">
                    <?php echo esc_html__( 'Category: ', 'eduprime' ); ?>
                    <span><?php echo single_cat_title( '', false ); ?></span>
                </h1>
            </div>
            <div class="vc_col-md-12">
                <ol class="breadcrumb">
                    <?php eduprime_breadcrumb(); ?>
                </ol>
            </div>
        </div>
    </div>
</div>



<!-- Page content -->
<div class="high-padding">
    <!-- Blog content -->
    <div class="container blog-posts">
        <div class="vc_row">

            <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar' && is_active_sidebar( $sidebar )) { ?>
            <div class="vc_col-md-3 sidebar-content">
                <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
                    <?php  dynamic_sidebar( $sidebar ); ?>
                <?php } ?>
            </div>
            <?php } ?>

            <div class="<?php echo esc_attr($class); ?> main-content">
            <?php if ( have_posts() ) : ?>
            <div class="vc_row">
                <?php /* Start the Loop */ ?>
                <?php while ( have_posts() ) : the_post(); ?>

                    <?php
                    /**
                     * Run the loop for the search to output the results.
                     * If you want to overload this in a child theme then include a file
                     * called content-search.php and that will be used instead.
                     */
                    get_template_part( 'content', get_post_format() );
                    ?>

                <?php endwhile; ?>

                <div class="clearfix"></div>

                <div class="modeltheme-pagination pagination vc_row">             
                    <?php eduprime_pagination(); ?>
                </div>
            </div>
            

            <?php else : ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif; ?>
            </div>

            <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' && is_active_sidebar( $sidebar )) { ?>
            <div class="vc_col-md-3 sidebar-content">
                <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
                    <?php  dynamic_sidebar( $sidebar ); ?>
                <?php } ?>
            </div>
            <?php } ?>

        </div>
    </div>
</div>

<?php get_footer(); ?>