<?php
/**
 * @package Modeltheme
 */

$class = "";
if ( eduprime_redux('eduprime_single_service_layout') == 'eduprime_service_fullwidth' ) {
    $class = "col-md-12";
}elseif ( eduprime_redux('eduprime_single_service_layout') == 'eduprime_service_right_sidebar' or eduprime_redux('eduprime_single_service_layout') == 'eduprime_service_left_sidebar') {
    $class = "col-md-9";
}

$sidebar = eduprime_redux('eduprime_single_service_sidebar');
$prev_post = get_previous_post();
$next_post = get_next_post();
?>

<div class="clearfix"></div>

<div class="modeltheme-breadcrumbs">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <ol class="breadcrumb pull-left">
                    <?php eduprime_breadcrumb(); ?>
                </ol>
            </div>
        </div>
    </div>
</div>

<article id="post-<?php the_ID(); ?>" <?php post_class('post high-padding'); ?>>
    <div class="container">
       <div class="row">

            <?php if ( eduprime_redux('eduprime_single_service_layout') == 'eduprime_service_left_sidebar' && is_active_sidebar( $sidebar )) { ?>
            <div class="col-md-3 sidebar-content">
                <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
                    <?php  dynamic_sidebar( $sidebar ); ?>
                <?php } ?>
            </div>
            <?php } ?>

            <div class="<?php echo esc_attr($class); ?> main-content">
                <div class="article-header">
                    <div class="article-details">
                        <h3 class="post-name"><?php echo get_the_title(); ?></h3>
                        <div class="post-author"><?php echo esc_html__( 'by ', 'eduprime' ) . get_the_author(); ?> | <?php echo get_the_date(get_option( 'date_format' )); ?></div>
                    </div>
                </div>
                <div class="article-content">

                <?php the_content(); ?>

                <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eduprime' ),
                        'after'  => '</div>',
                    ) );
                ?>
                </div>
                <div class="article-footer">
                    <?php if (get_the_category()) { ?>
                    <div class="article-categories">
                        <h3><i class="fa fa-pencil"></i><?php echo esc_html__( 'Categories:', 'eduprime' ); ?></h3>
                        <div class="categories">
                        <?php foreach((get_the_category()) as $category) {
                            $category_link = get_term_link( $category );
                            echo "<a class='single_tax' href='". esc_url( $category_link ) ."'>" . esc_html($category->cat_name) . "</a> "; 
                        } ?>
                        </div>
                    </div>
                    <?php } ?>

                    <?php 
                        if (function_exists('eduprime_sharer')) {
                            echo eduprime_sharer(); 
                        }
                    ?>

                </div>
            </div>

            <?php if (eduprime_redux('eduprime_single_service_layout') == 'eduprime_service_right_sidebar' && is_active_sidebar( $sidebar )) { ?>
            <div class="col-md-3 sidebar-content">
                <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
                    <?php  dynamic_sidebar( $sidebar ); ?>
                <?php } ?>
            </div>
            <?php } ?>
        </div>
    </div>
    <div class="comments_holder">
        <div class="container">
        <?php
            // If comments are open or we have at least one comment, load up the comment template
            if ( comments_open() || get_comments_number() ) :
                comments_template();
            endif;
        ?>
        </div>
    </div>
</article>