<?php
/**
 * @package ModelTheme
 */

$prev_post = get_previous_post();
$next_post = get_next_post();
$image_size = 'eduprime_1400x400';
$image_size2 = 'eduprime_700x600';

?>

<!-- HEADER TITLE BREADCRUBS SECTION -->

<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>

    <!-- HEADER -->
    <div class="article-header">
        <div class="article-details relative text-center">

            <?php 
            // MAIN FEATURED IMAGE
            $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), esc_html($image_size) ); 
            if($thumbnail_src) {
                echo '<img class="main-featured-image" src="'.esc_url($thumbnail_src[0]).'" alt="'.esc_attr(the_title_attribute( 'echo=0' )).'" /> '; ?>
                <div id="overlay"></div>
                <div class="header-title-blog text-center">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                                <div class="header-title-blog-box">
                                    <h1 class="post-title">
                                        <?php the_title(); ?>
                                    </h1>
                                </div>                   
                            </div>
                        </div>
                    </div>
                </div>

            <?php } else {
                echo '<img class="main-featured-image" src="'.esc_url(get_template_directory_uri().'/images/breadcrumbs-2.jpg').'" alt="'.esc_attr(the_title_attribute( 'echo=0' )).'" /> '; ?>
                <div id="overlay"></div>
                <div class="header-title-blog text-center">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                                <div class="header-title-blog-box">
                                    <h1 class="post-title">
                                        <?php the_title(); ?>
                                    </h1>
                                </div>                   
                            </div>
                        </div>
                    </div>
                </div>

            <?php } ?>



            <div class="clearfix"></div>
        </div>
    </div>

    <div class="container single-post-layout">
       <div class="row">
            <?php
            $select_post_layout = get_post_meta( get_the_ID(), 'select_post_layout', true );
            $select_post_sidebar = get_post_meta( get_the_ID(), 'select_post_sidebar', true );
            $sidebar = 'sidebar-1';
            if ( function_exists('modeltheme_framework')) {
                if (isset($select_post_sidebar) && $select_post_sidebar != '') {
                    $sidebar = $select_post_sidebar;
                }else{
                    $sidebar = eduprime_redux('eduprime_blog_layout_sidebar');
                }
            }
            $cols = 'col-md-12 col-sm-12';
            $sidebars_lr_meta = array("left-sidebar", "right-sidebar");
            if (isset($select_post_layout) && in_array($select_post_layout, $sidebars_lr_meta)) {
                $cols = 'col-md-8 col-sm-8 status-meta-sidebar';
            }elseif(isset($select_post_layout) && $select_post_layout == 'no-sidebar'){
                $cols = 'col-md-12 col-sm-12 status-meta-fullwidth';
            }else{
                if(class_exists( 'ReduxFrameworkPlugin' )){
                    $sidebars_lr_panel = array("eduprime_blog_left_sidebar", "eduprime_blog_right_sidebar");
                    if (in_array(eduprime_redux('eduprime_single_blog_layout'), $sidebars_lr_panel)) {
                        $cols = 'col-md-8 col-sm-8 status-panel-sidebar';
                    }else{
                        $cols = 'col-md-12 col-sm-12 status-panel-no-sidebar';
                    }
                }
            }
            if (!is_active_sidebar($sidebar)) {
                $cols = "col-md-12";
            }
            // END_WP5
            ?>
            <!-- POST CONTENT -->
            <div class="<?php echo esc_attr($cols); ?> main-content">

                <!-- HEADER -->
                <div class="event-header event-header-details">
                    <div class="event-details row">
                        <?php $mt_event_date = get_post_meta( get_the_ID(), 'mt_event_date', true ); ?>
                        <?php $mt_event_date_modified = date("F d", strtotime($mt_event_date)); ?>
                        <?php $mt_event_time = get_post_meta( get_the_ID(), 'mt_event_time', true ); ?>
                        <?php $mt_event_location = get_post_meta( get_the_ID(), 'mt_event_location', true ); ?>
                        <div class="col-md-4">
                            <div class="mt_event_img">
                                <img src="<?php echo esc_url(get_template_directory_uri()).'/images/Calendar-icon.png'; ?>" alt="<?php echo esc_attr__('Calendar-icon', 'eduprime'); ?>" />
                            </div>
                            <div class="mt_event_holder">
                                <h5 class="event_head"><?php esc_html_e( 'Date:', 'eduprime' ); ?></h5>
                                <span class="event_span"><?php echo esc_html($mt_event_date_modified); ?></span>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mt_event_img">
                                <img src="<?php echo esc_url(get_template_directory_uri()).'/images/Clock-icon.png'; ?>" alt="<?php echo esc_attr__('Clock-icon', 'eduprime'); ?>" />
                            </div>
                            <div class="mt_event_holder">
                                <h5 class="event_head"><?php esc_html_e( 'Time:', 'eduprime' ); ?></h5>
                                <span class="event_span"><?php echo esc_html($mt_event_time); ?></span>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mt_event_img">
                                <img src="<?php echo esc_url(get_template_directory_uri()).'/images/Location-icon.png'; ?>" alt="<?php echo esc_attr__('Location-icon', 'eduprime'); ?>" />
                            </div>
                            <div class="mt_event_holder">
                                <h5 class="event_head"><?php esc_html_e( 'Location:', 'eduprime' ); ?></h5>
                                <span class="event_span"><?php echo esc_html($mt_event_location); ?></span>
                            </div>
                        </div>                        
                    </div>
                </div>

                <!-- CONTENT -->
                <div class="article-content">

                    <?php the_content(); ?>
                    
                    <div class="clearfix"></div>
                    <?php
                        wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eduprime' ),
                            'after'  => '</div>',
                        ) );
                    ?>
                    <div class="clearfix"></div>
                </div>


                <?php if(function_exists('modeltheme_framework')){ ?>
                    <!-- MAP LOCATION -->
                    <div class="mt_listings_page mt_listing_map_location">
                    <?php 

                        $gmap_pin = '';
                        $api_key = 'AIzaSyDIuJVwBxTLKGo7oDBIkkFwUBFguVat7Ag';
                        
                        // Start Map
                        $gmap_pin .= '[sbvcgmap sbvcgmap_apikey="'.esc_attr($api_key).'" pancontrol="no" scalecontrol="no" streetviewcontrol="no" maptypecontrol="no" overviewmapcontrol="no" map_width="100" map_height="493" mapstyles="style-55" zoom="12" scrollwheel="no" searchradius="500" sbvcgmap_title="'.esc_attr__('Google Maps', 'eduprime').'"]';
                                // Get the current category ID, e.g. if we're on a category archive page
                                $image_id = attachment_url_to_postid(get_post_meta( get_the_ID(), 'mt_map_pin', true ));
                                $mt_map_coordinates = get_post_meta( get_the_ID(), 'mt_map_coordinates', true );
                                if (isset($mt_map_coordinates) && !empty($mt_map_coordinates)) {
                                    if (isset($image_id) && !empty($image_id)) {
                                        $gmap_pin .= '[sbvcgmap_marker animation="DROP" address="'.esc_attr($mt_map_coordinates).'" icon="'.esc_attr($image_id).'"]<a href="'.esc_url(get_the_permalink()).'">'.esc_html(get_the_title()).'</a>[/sbvcgmap_marker]';
                                    }
                                }
                                
                        // End Map
                        $gmap_pin .= '[/sbvcgmap]';
                        echo do_shortcode($gmap_pin);
                        ?>
                </div>
                <?php } ?>
    
                
                <div class="article-header article-header-details">
                    <div class="article-details">
                        <?php $page_spacing = get_post_meta( get_the_ID(), 'page_spacing', true ); ?>
                        <div class="post-author">
                            <span><i class="fa fa-user-o" aria-hidden="true"></i><?php echo esc_html__('Posted by ', 'eduprime') . '<strong>' . get_the_author() . '</strong>'; ?></span> 
                            <span><i class="fa fa-tags"></i><?php echo esc_html__('Tags: ', 'eduprime'); ?><?php echo get_the_term_list( get_the_ID(), 'mt-event-category', '' , ', ' ); ?></span>                             
                        </div>
                    </div>
                </div>
                
                <div class="article-footer">
                    <?php 
                        if (function_exists('eduprime_sharer')) {
                            echo eduprime_sharer(); 
                        }
                    ?>
                </div>

            <?php //WP5
            $select_post_layout = get_post_meta( get_the_ID(), 'select_post_layout', true );
            $select_post_sidebar = get_post_meta( get_the_ID(), 'select_post_sidebar', true );
            $sidebar = 'sidebar-1';
            if ( function_exists('modeltheme_framework')) {
                if (isset($select_post_sidebar) && $select_post_sidebar != '') {
                    $sidebar = $select_post_sidebar;
                }else{
                    $sidebar = eduprime_redux('eduprime_blog_layout_sidebar');
                }
            }
            $cols = 'col-md-12 col-sm-12';
            $sidebars_lr_meta = array("left-sidebar", "right-sidebar");
            if (isset($select_post_layout) && in_array($select_post_layout, $sidebars_lr_meta)) {
                $cols = 'col-md-8 col-sm-8 status-meta-sidebar';
            }elseif(isset($select_post_layout) && $select_post_layout == 'no-sidebar'){
                $cols = 'col-md-12 col-sm-12 status-meta-fullwidth';
            }else{
                if(class_exists( 'ReduxFrameworkPlugin' )){
                    $sidebars_lr_panel = array("eduprime_blog_left_sidebar", "eduprime_blog_right_sidebar");
                    if (in_array(eduprime_redux('eduprime_single_blog_layout'), $sidebars_lr_panel)) {
                        $cols = 'col-md-8 col-sm-8 status-panel-sidebar';
                    }else{
                        $cols = 'col-md-12 col-sm-12 status-panel-no-sidebar';
                       
                    }
                }
            }
            if (!is_active_sidebar($sidebar)) {
                $cols = "col-md-12";
            }
            // END_WP5
            ?>

            <div class="clearfix"></div>

            </div>

            <?php if ( eduprime_redux('eduprime_single_blog_layout') == 'eduprime_blog_right_sidebar' && is_active_sidebar( $sidebar )) { ?>
            <div class="col-md-4 sidebar-content">
                <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
                    <?php  dynamic_sidebar( $sidebar ); ?>
                <?php } ?>
            </div>
            <?php } ?>

            <div class="clearfix"></div>
        </div>
    </div>

    <div class="container">
        <div class="row">
             <div class="comments_holder col-md-12">
                <?php
                    // If comments are open or we have at least one comment, load up the comment template
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                ?>
            </div>

            <?php if ( eduprime_redux('modeltheme-enable-related-posts') ) { ?>

                <div class="related-posts sticky-posts col-md-12">
                    <?php
                        $orig_post = $post;  
                        global  $post;  
                        $tags = wp_get_post_tags($post->ID);  
                    ?>

                    <?php if ($tags) { ?>
                        <h2 class="heading-bottom"><?php esc_html_e('Related Posts', 'eduprime'); ?></h2>
                        <div class="row">

                        <?php 
                            $tag_ids = array();  
                            foreach($tags as $individual_tag) {
                                $tag_ids[] = $individual_tag->term_id;  
                            }

                            $args=array(  
                                'tag__in'               => $tag_ids,  
                                'post__not_in'          => array($post->ID),  
                                'posts_per_page'        => 3, // Number of related posts to display.  
                                'ignore_sticky_posts'   => 1  
                            );
                            $my_query = new wp_query( $args );  
                            while( $my_query->have_posts() ) {  
                                $my_query->the_post(); 
                                ?>  
                                <div class="col-md-4 post">
                                    <div class="related_blog_custom">
                                        <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                                            <?php $thumbnail_src2 = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'eduprime_related_post_pic500x300'); 
                                            if($thumbnail_src2) { ?>
                                                <img src="<?php echo esc_url($thumbnail_src2[0]); ?>" class="img-responsive" alt="<?php the_title_attribute(); ?>" />
                                            <?php } ?>
                                        </a>
                                        <div class="related_blog_details">
                                            <h3 class="post-name">
                                                <a href="<?php esc_url(the_permalink()); ?>" class="relative"><?php echo get_the_title(); ?></a>
                                            </h3>                                               
                                            <div class="post-excerpt row">
                                                <p><?php echo strip_tags(eduprime_excerpt_limit($post->post_content, 16)); ?></p>
                                            </div>
                                            <div class="clearfix"></div>
                                            <div class="blog_badge_date">
                                                <span><?php echo esc_html(get_the_date('F j, Y', get_the_ID())); ?></span>
                                            </div>

                                            <div class="post-read-more">
                                                <a href="<?php esc_url(the_permalink()); ?>" class="rippler rippler-default hvr-float post-read-more-button">
                                                    <i class="fa fa-angle-right" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                </div>

                            <?php } ?>

                        </div>
                    <?php } ?>
                </div>

                <?php 
                    $post = $orig_post;  
                    wp_reset_postdata();  
                ?>  
            <?php }?>

        </div>
    </div>
</article>