<?php
/**
 * @package Modeltheme
 */
?>
<?php 

$master_class = 'col-md-6';
$thumbnail_class = 'col-md-4';
$post_details_class = 'col-md-8';
$type_class = 'list-view';
$image_size = 'eduprime_700x600';
$custom_no_padding = '';

if ( eduprime_redux('blog-display-type') == 'list' ) {
    $thumbnail_class = 'col-md-4';
    $post_details_class = 'col-md-8';
    $type_class = 'list-view';
    $image_size = 'eduprime_700x600';
} else {
    $type_class = 'grid-view';
    if ( eduprime_redux('blog-grid-columns') == 1 ) {
        $master_class = 'col-md-12';
        $type_class .= ' grid-one-column';
        $image_size = 'eduprime_1000x580';
    }elseif ( eduprime_redux('blog-grid-columns') == 2 ) {
        $master_class = 'col-md-6';
        $type_class .= ' grid-two-columns';
        $image_size = 'eduprime_1000x580';
    }elseif ( eduprime_redux('blog-grid-columns') == 3 ) {
        $master_class = 'col-md-4';
        $type_class .= ' grid-three-columns';
        $image_size = 'eduprime_700x500';
    }elseif ( eduprime_redux('blog-grid-columns') == 4 ) {
        $master_class = 'col-md-3';
        $type_class .= ' grid-four-columns';
        $image_size = 'eduprime_700x600';
    }

    $thumbnail_class = 'full-width-part';
    $post_details_class = 'full-width-part';
}
// THUMBNAIL
$post_img = '';
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), $image_size );
if ($thumbnail_src) {
    $post_col = 'col-md-12';
}else{
    $post_col = 'col-md-12 no-featured-image';
}


// POST CONTENT
$content_post   = get_post(get_the_ID());
$content        = $content_post->post_content;
$content        = apply_filters('the_content', $content);
$content        = str_replace(']]>', ']]&gt;', $content);
$content        = strip_tags($content);
?>
<?php if ( ! class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-post grid-view list-view col-md-12 '); ?>>  
    <div class="blog_custom"> 

        <?php if ($thumbnail_src) { ?>
            <!-- POST THUMBNAIL -->
            <div class="col-md-12 post-thumbnail">
                <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                    <img src="<?php echo esc_url($thumbnail_src[0]); ?>" alt="<?php the_title_attribute(); ?>" />
                </a>
            </div>
        <?php } ?>

        <!-- POST DETAILS -->
        <div class="<?php echo esc_attr($post_col)." ".esc_attr($custom_no_padding); ?> post-details">
            <h3 class="post-name row">
                <a title="<?php the_title_attribute(); ?>" href="<?php esc_url(the_permalink()); ?>">
                    <?php if( is_sticky() ) { ?>
                       <i class="fa fa-bookmark" aria-hidden="true"></i>
                    <?php } ?>
                    <?php the_title() ?>
                </a>
            </h3>
            
            <div class="post-category-comment-date row">
                <span class="post-author"><?php echo esc_html__('by ', 'eduprime') . get_the_author(); ?></span>   /   
                <span class="post-tags">
                    <?php if (get_the_category()) { ?>
                        <?php foreach((get_the_category()) as $category) {
                            $category_link = get_term_link( $category );
                            echo "<a href='".esc_url( $category_link )."'>" . $category->cat_name . "</a> / "; 
                        } ?>
                    <?php } ?>
                </span>
                <span class="post-date"><?php echo get_the_date(get_option( 'date_format' )); ?></span>
            </div>
            <div class="post-excerpt row">
                <?php echo eduprime_excerpt_limit($content, 35); ?>
                <div class="clearfix"></div>

                <div class="clearfix"></div>
                <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eduprime' ),
                        'after'  => '</div>',
                    ) );
                ?>
                <div class="clearfix"></div>

                <a href="<?php esc_url(the_permalink()); ?>" class="more-link">
                    <?php echo esc_html__( 'Continue Reading ', 'eduprime' ); ?>
                </a>
                <div class="clearfix"></div>
            
            </div>
        </div>
    </div>
</article>
<?php }else{ ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-post grid-view '.esc_attr($master_class).' '.esc_attr($type_class)); ?> >   
    <div class="blog_custom">
        <?php if(!empty($thumbnail_src)){?>
            <?php if ($thumbnail_src[0]) { ?>
                <!-- POST THUMBNAIL -->
                <div class="row">
                    <div class="col-md-12 post-thumbnail">
                        <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                            <img src="<?php echo esc_url($thumbnail_src[0]); ?>" alt="<?php the_title_attribute(); ?>" />
                        </a>
                    </div>
                </div>
            <?php } ?>
        <?php  }  ?>
        <div class="clearfix"></div>
        <!-- POST DETAILS -->
        <div class="<?php echo esc_attr($post_col)." ".esc_attr($custom_no_padding); ?> post-details">
            <h3 class="post-name row">
                <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                    <?php if( is_sticky() ) { ?>
                       <i class="fa fa-bookmark" aria-hidden="true"></i>
                    <?php } ?>
                    <?php the_title() ?>
                </a>
            </h3>
            
            
            <div class="post-excerpt row">
                <?php echo eduprime_excerpt_limit($content, 16); ?>
                
                <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eduprime' ),
                        'after'  => '</div>',
                    ) );
                ?>
                <div class="clearfix"></div>
               
            </div>

            <div class="blog_badge_date">
                <span><?php echo esc_attr(get_the_date('F j, Y', get_the_ID())); ?></span>
            </div>
            <div class="post-read-more">
                <a href="<?php esc_url(the_permalink()); ?>" class="rippler rippler-default hvr-float post-read-more-button">
                    <i class="fa fa-angle-right" aria-hidden="true"></i>
                </a>
            </div>
            
        </div>
    </div>
</article>
<?php } ?>