<?php
/**
CUSTOM HEADER FUNCTIONS
*/

/**
Function name: 				eduprime_get_nav_menu()			
Function description:		Get page NAV MENU
*/
function eduprime_get_nav_menu(){

    // PAGE METAS
	$page_custom_menu = get_post_meta( get_the_ID(), 'smartowl_page_custom_menu', true );

	$html = '';
    if ( has_nav_menu( 'primary' ) ) {
		$defaults = array(
			'menu'            => '',
			'container'       => false,
			'container_class' => '',
			'container_id'    => '',
			'menu_class'      => 'menu',
			'menu_id'         => '',
			'echo'            => true,
			'fallback_cb'     => false,
			'before'          => '<ul class="menu nav navbar-nav nav-effect nav-menu pull-right">',
			'after'           => '</ul>',
			'link_before'     => '',
			'link_after'      => '',
			'items_wrap'      => '%3$s',
			'depth'           => 0,
			'walker'          => ''
		);

		$defaults['theme_location'] = 'primary';
		if (isset($page_custom_menu)) {
			$html .= wp_nav_menu( array('menu' => $page_custom_menu ));
		}else{
			$html .= wp_nav_menu( $defaults );
		}
	}else{
		$html .= '<p class="no-menu text-right">'.esc_html__('Primary navigation menu is missing.','eduprime').'<p>';
	}

    return $html;
}


/**
||-> FUNCTION: GET LOGO FUNCTION
*/
function eduprime_get_theme_logo(){

	$html = '';

	if (is_page() || is_single() || is_404() || is_archive() || is_search() || is_home()) {

        $custom_header_activated = get_post_meta( get_the_ID(), 'eduprime_custom_header_options_status', true );
		$mt_metabox_header_logo = get_post_meta( get_the_ID(), 'mt_metabox_header_logo', true );

		if ($custom_header_activated && $custom_header_activated == 'yes') {
			if (isset($mt_metabox_header_logo)) {
				$html .= '<img class="page-logo" src="'.esc_url($mt_metabox_header_logo).'" alt="'.esc_attr(get_bloginfo()).'" />';
			}else{
				$html .= get_bloginfo();
			}
		}else{
			if (eduprime_redux('eduprime_logo','url')) {
				$html .= '<img class="theme-logo" src="'.esc_url(eduprime_redux('eduprime_logo','url')).'" alt="'.get_bloginfo().'" />';
			}else{
				$html .= get_bloginfo();
			}
		}
	}

	return $html;
}





/**
||-> FUNCTION: GET DYNAMIC CSS
*/
add_action('wp_enqueue_scripts', 'eduprime_dynamic_css' );
function eduprime_dynamic_css(){

    global  $eduprime_redux;
    $html = '';

	wp_enqueue_style(
	   'eduprime-custom-style',
	    get_template_directory_uri() . '/css/custom-editor-style.css'
	);


    // PAGE PRELOADER BACKGROUND COLOR
    $mt_page_preloader = get_post_meta( get_the_ID(), 'mt_page_preloader', true );
    $mt_page_preloader_bg_color = get_post_meta( get_the_ID(), 'mt_page_preloader_bg_color', true );
    if (isset($mt_page_preloader) && $mt_page_preloader == 'enabled' && isset($mt_page_preloader_bg_color)) {
        $html .= 'body .linify_preloader_holder{
					background-color: '.esc_attr($mt_page_preloader_bg_color).';
        		}';
    }elseif (eduprime_redux('mt_preloader_status')) {
        $html .= 'body .linify_preloader_holder{
					background-color: '.eduprime_redux('mt_preloader_status').';
        		}';
    }
  
    // THEME OPTIONS STYLESHEET
    if(!eduprime_redux('breadcrumbs-delimitator')) {
    	$delimitator = '/';
    } else {
    	$delimitator = eduprime_redux('breadcrumbs-delimitator');
    }

    $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_id() ),'' );
    if ( is_page() && !empty($thumbnail_src[0])) {
        $html .= '.modeltheme-breadcrumbs { 
                background-image:url("'.esc_url($thumbnail_src[0]).'");
             }';
    } else {
        $html .= '.modeltheme-breadcrumbs { 
                    background-image:url("'.esc_url((get_template_directory_uri())).'/images/breadcrumbs.jpg");
              }';
    }

    $custom_header_activated = get_post_meta( get_the_ID(), 'smartowl_custom_header_options_status', true );
    $mt_custom_main_color = get_post_meta( get_the_ID(), 'mt_custom_main_color', true );
    $mt_main_texts_color = get_post_meta( get_the_ID(), 'main_texts_color', true );

    // default redux colors
	$skin_main_bg = eduprime_redux("mt_style_main_backgrounds_color");
	$skin_main_texts_color = eduprime_redux("mt_style_main_texts_color");

    // METABOX COLORPICKER -> Main color
    if($custom_header_activated == 'yes' && isset($mt_custom_main_color) && !empty($mt_custom_main_color)) {
    	$skin_main_bg = $mt_custom_main_color;
	}

    // METABOX COLORPICKER -> Main texts color
    if($custom_header_activated == 'yes' && isset($mt_main_texts_color) && !empty($mt_main_texts_color)) {
    	$skin_main_texts_color = $mt_main_texts_color;
	}

    if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
    $html .= '.single article .article-content p,
               p,
               .post-excerpt,
               ul,
               ul.tonsberg-list,
               ol,
               th,
               td,
               dt,
               dd,
               address{
                    font-family: '.eduprime_redux('modeltheme-blog-post-typography','font-family').';
               }
               h1,
               h1 span {
                    font-family: "'.eduprime_redux('modeltheme-heading-h1','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h1','font-size').';
               }
               h2 {
                    font-family: "'.eduprime_redux('modeltheme-heading-h2','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h2','font-size').';
               }
               h3 {
                    font-family: "'.eduprime_redux('modeltheme-heading-h3','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h3','font-size').';
               }
               h4 {
                    font-family: "'.eduprime_redux('modeltheme-heading-h4','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h4','font-size').';
               } 
               h5 {
                    font-family: "'.eduprime_redux('modeltheme-heading-h5','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h5','font-size').';
               } 
               h6 {
                    font-family: "'.eduprime_redux('modeltheme-heading-h6','font-family').'";
                    font-size: '.eduprime_redux('modeltheme-heading-h6','font-size').';
               } 
               input,
               textarea {
                    font-family: '.eduprime_redux('modeltheme-inputs-typography','font-family').';
               }  
               input[type="submit"] {
                    font-family: '.eduprime_redux('modeltheme-buttons-typography','font-family').';
               }';

    // THEME OPTIONS STYLESHEET - Responsive SmartPhones
    $html .= '
    			@media only screen and (max-width: 767px) {
    				body h1,
    				body h1 span{
    					font-size: '.eduprime_redux('mt_heading_h1_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h1_smartphones', 'line-height').' !important;
    				}
    				body h2{
    					font-size: '.eduprime_redux('mt_heading_h2_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h2_smartphones', 'line-height').' !important;
    				}
    				body h3{
    					font-size: '.eduprime_redux('mt_heading_h3_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h3_smartphones', 'line-height').' !important;
    				}
    				body h4{
    					font-size: '.eduprime_redux('mt_heading_h4_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h4_smartphones', 'line-height').' !important;
    				}
    				body h5{
    					font-size: '.eduprime_redux('mt_heading_h5_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h5_smartphones', 'line-height').' !important;
    				}
    				body h6{
    					font-size: '.eduprime_redux('mt_heading_h6_smartphones', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h6_smartphones', 'line-height').' !important;
    				}
    			}';

    // THEME OPTIONS STYLESHEET - Responsive Tablets
    $html .= '
    			@media only screen and (min-width: 768px) and (max-width: 1024px) {
    				body h1,
    				body h1 span{
    					font-size: '.eduprime_redux('mt_heading_h1_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h1_tablets', 'line-height').' !important;
    				}
    				body h2{
    					font-size: '.eduprime_redux('mt_heading_h2_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h2_tablets', 'line-height').' !important;
    				}
    				body h3{
    					font-size: '.eduprime_redux('mt_heading_h3_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h3_tablets', 'line-height').' !important;
    				}
    				body h4{
    					font-size: '.eduprime_redux('mt_heading_h4_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h4_tablets', 'line-height').' !important;
    				}
    				body h5{
    					font-size: '.eduprime_redux('mt_heading_h5_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h5_tablets', 'line-height').' !important;
    				}
    				body h6{
    					font-size: '.eduprime_redux('mt_heading_h6_tablets', 'font-size').' !important;
    					line-height: '.eduprime_redux('mt_heading_h6_tablets', 'line-height').' !important;
    				}
    			}';
   	}

    $html .= '


    		.breadcrumb a::after {
	        	content: "'.esc_attr($delimitator).'";
	    	}
		    .logo img,
		    .navbar-header .logo img {
		        max-width: '.eduprime_redux('logo_max_width').'px;
		    }

		    ::selection{
		        color: '.eduprime_redux('mt_text_selection_color').';
		        background: '.eduprime_redux('mt_text_selection_background_color').';
		    }
		    ::-moz-selection { /* Code for Firefox */
		        color: '.eduprime_redux('mt_text_selection_color').';
		        background: '.eduprime_redux('mt_text_selection_background_color').';
		    }

		    a{
		        color: '.eduprime_redux('mt_global_link_styling', 'regular').';
		    }

		    .menu-mainmenu-container ul li a:hover ,
			.menu-mainmenu-container ul li.current_page_item > a {
		    	color: '.eduprime_redux('mt_global_link_styling', 'hover').' !important;
		    }
		    
		    /*------------------------------------------------------------------
		        COLOR
		    ------------------------------------------------------------------*/
			.mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li:hover > .item_link, 
			.mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li:hover > .item_link *, 
			.mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li.current-menu-item > .item_link, 
			.mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li.current-menu-item > .item_link *,
			.woocommerce a.remove{
		        color: '.eduprime_redux("mt_style_main_texts_color").' !important;
		    }

		    .mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li.current-menu-item > .item_link > .link_content > .link_text::before, 
			.mmm #mega_main_menu.primary > .menu_holder > .menu_inner > ul > li:hover > .item_link > .link_content > .link_text::before,
			span.amount,
			.page404-text-h,
			table.compare-list .remove td a .remove,
			.woocommerce form .form-row .required,
			.woocommerce .woocommerce-info::before,
			.woocommerce .woocommerce-message::before,
			.woocommerce div.product p.price, 
			.woocommerce div.product span.price,
			.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
			.widget_popular_recent_tabs .nav-tabs li.active a,
			.widget_product_categories .cat-item:hover,
			.widget_product_categories .cat-item a:hover,
			.widget_archive li:hover,
			.widget_archive li a:hover,
			.widget_categories .cat-item:hover,
			.widget_categories li a:hover,
			.woocommerce .star-rating span::before,
			.pricing-table.recomended .button.solid-button, 
			.pricing-table .table-content:hover .button.solid-button,
			.pricing-table.Recommended .button.solid-button, 
			.pricing-table.recommended .button.solid-button, 
			#sync2 .owl-item.synced .post_slider_title,
			#sync2 .owl-item:hover .post_slider_title,
			#sync2 .owl-item:active .post_slider_title,
			.pricing-table.recomended .button.solid-button, 
			.pricing-table .table-content:hover .button.solid-button,
			.testimonial-author,
			.testimonials-container blockquote::before,
			.testimonials-container blockquote::after,
			h1 span,
			h2 span,
			.widget_nav_menu li a:hover,
			label.error,
			.author-name,
			.comment_body .author_name,
			.prev-next-post a:hover,
			.prev-text,
			.wpb_button.btn-filled:hover,
			.next-text,
			.social ul li a:hover i,
			.wpcf7-form span.wpcf7-not-valid-tip,
			.text-dark .statistics .stats-head *,
			.wpb_button.btn-filled,
			article .post-name:hover a,
			.post-excerpt .more-link:hover,			
			.lms-lesson-icon,
			.mt-tabs h5.tab-title,
			.course-quiz .course-item-title:hover,
			.is_header_semitransparent #navbar .sub-menu .menu-item a:hover,
			.course-item-title.button-load-item:hover,
			.categories_shortcode .category.active, .categories_shortcode .category:hover,
			.widget_recent_entries_with_thumbnail li:hover a,
			.widget_recent_entries li a:hover,
			.course_title a:hover,
			.shortcode_post_content .blog_badge_date span,
			.sidebar-content .widget_nav_menu li a:hover,
			blockquote p{
		        color: '.esc_html($skin_main_texts_color).';
		    }


		    /*------------------------------------------------------------------
		        BACKGROUND + BACKGROUND-COLOR
		    ------------------------------------------------------------------*/
			.tagcloud > a:hover,
			.modeltheme-icon-search,
			.wpb_button::after,
			.related.products > h2::before,
			.rotate45,
			.latest-posts .post-date-day,
			.latest-posts h3, 
			.latest-tweets h3, 
			.latest-videos h3,
			.button.solid-button, 
			button.vc_btn,
			.pricing-table.recomended .table-content, 
			.pricing-table .table-content:hover,
			.pricing-table.Recommended .table-content, 
			.pricing-table.recommended .table-content, 
			.pricing-table.recomended .table-content, 
			.pricing-table .table-content:hover,
			.block-triangle,
			.owl-theme .owl-controls .owl-page span,
			body .vc_btn.vc_btn-blue, 
			body a.vc_btn.vc_btn-blue, 
			body button.vc_btn.vc_btn-blue,
			.woocommerce #respond input#submit, 
			.woocommerce a.button, 
			.woocommerce button.button, 
			.woocommerce input.button,
			table.compare-list .add-to-cart td a,
			.woocommerce #respond input#submit.alt, 
			.woocommerce a.button.alt, 
			.woocommerce button.button.alt, 
			.woocommerce input.button.alt,
			.woocommerce a.remove:hover,
			.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
			.woocommerce nav.woocommerce-pagination ul li a:focus, 
			.woocommerce nav.woocommerce-pagination ul li a:hover, 
			.woocommerce nav.woocommerce-pagination ul li span.current, 
			.pagination .page-numbers.current,
			.pagination .page-numbers:hover,
			.widget_social_icons li a:hover, 
			#subscribe > button[type=\'submit\'],
			.social-sharer > li:hover,
			.prev-next-post a:hover .rotate45,
			.masonry_banner.default-skin,
			.form-submit input,
			.member-header::before, 
			.member-header::after,
			.member-footer .social::before, 
			.member-footer .social::after,
			.subscribe > button[type=\'submit\'],
			.woocommerce.single-product .wishlist-container .yith-wcwl-wishlistaddedbrowse,
			.woocommerce #respond input#submit.alt.disabled, 
			.woocommerce #respond input#submit.alt.disabled:hover, 
			.woocommerce #respond input#submit.alt:disabled, 
			.woocommerce #respond input#submit.alt:disabled:hover, 
			.woocommerce #respond input#submit.alt[disabled]:disabled, 
			.woocommerce #respond input#submit.alt[disabled]:disabled:hover, 
			.woocommerce a.button.alt.disabled, 
			.woocommerce a.button.alt.disabled:hover, 
			.woocommerce a.button.alt:disabled, 
			.woocommerce a.button.alt:disabled:hover, 
			.woocommerce a.button.alt[disabled]:disabled, 
			.woocommerce a.button.alt[disabled]:disabled:hover, 
			.woocommerce button.button.alt.disabled, 
			.woocommerce button.button.alt.disabled:hover, 
			.woocommerce button.button.alt:disabled, 
			.woocommerce button.button.alt:disabled:hover, 
			.woocommerce button.button.alt[disabled]:disabled, 
			.woocommerce button.button.alt[disabled]:disabled:hover, 
			.woocommerce input.button.alt.disabled, 
			.woocommerce input.button.alt.disabled:hover, 
			.woocommerce input.button.alt:disabled, 
			.woocommerce input.button.alt:disabled:hover, 
			.woocommerce input.button.alt[disabled]:disabled, 
			.woocommerce input.button.alt[disabled]:disabled:hover,
			.no-results input[type=\'submit\'],
			table.compare-list .add-to-cart td a,
			h3#reply-title::after,
			.newspaper-info,
			.categories_shortcode .owl-controls .owl-buttons i:hover,
			.widget-title:after,
			h2.heading-bottom:after,
			.wpb_content_element .wpb_accordion_wrapper .wpb_accordion_header.ui-state-active,
			#primary .main-content ul li:not(.rotate45)::before,
			.wpcf7-form .wpcf7-submit,
			ul.ecs-event-list li span,
			.curriculum-sections .section .section-header::after,
			.widget_address_social_icons .social-links a,
			#contact_form2 .solid-button.button,
			.navbar-default .navbar-toggle .icon-bar,
			.details-container > div.details-item .amount, .details-container > div.details-item ins,
			.modeltheme-search .search-submit,
			.navbar-nav .search_products a i, 
			#learn-press-form-login #wp-submit,
			.navbar-nav .shop_cart a i,
			#wp-calendar #today,
			#comment-nav-above .screen-reader-text::after,
			.pricing-table.recommended .table-content .title-pricing,
			.pricing-table .table-content:hover .title-pricing,
			.pricing-table.recommended .button.solid-button,
			.courses-list a.view-course,
			.mt-tabs .tabs-style-iconbox nav ul li.tab-current a,
			.event-more .read-more-btn,
			.mt-tabs .content-wrap a.tabs_button,
			.newsletter button.rippler:hover,
			body footer,
			footer .search-form .search-submit:hover,
			.shortcode_post_content .text_content .post-read-more .post-read-more-button:hover,
			.pricing-table .table-content:hover .button.solid-button,
			footer .footer-top .menu .menu-item a::before,
			.post-password-form input[type=\'submit\'] {
		        background: '.esc_html($skin_main_bg).';
		    }
		    .owl-pagination .owl-page.active span,
		    .mt_members1 .owl-prev, .mt_members1 .owl-next,
			body #mega_main_menu li.default_dropdown .mega_dropdown > li > .item_link:hover, 
			body #mega_main_menu li.widgets_dropdown .mega_dropdown > li > .item_link:hover, 
			body #mega_main_menu li.multicolumn_dropdown .mega_dropdown > li > .item_link:hover, 
			body #mega_main_menu li.grid_dropdown .mega_dropdown > li > .item_link:hover,
			body .tp-bullets.preview1 .bullet{
		        background: '.esc_html($skin_main_bg).' !important;
		    }
		    /* BORDER TOP COLOR */
		    .mt-tabs .tabs-style-iconbox nav ul li.tab-current a::after {
		        border-top-color: '.esc_html($skin_main_bg).';
		    }
		    /* BACK TO TOP */
		    .no-touch .back-to-top:hover {
		    	background-color: '.esc_html($skin_main_bg).';
		    }
			.woocommerce #respond input#submit:hover, 
			.modeltheme-search .search-submit:hover,
			.woocommerce a.button:hover, 
			.woocommerce button.button:hover, 
			.woocommerce input.button:hover,
			table.compare-list .add-to-cart td a:hover,
			.woocommerce #respond input#submit.alt:hover, 
			.woocommerce a.button.alt:hover, 
			.woocommerce button.button.alt:hover, 
			.woocommerce input.button.alt:hover,
			.modeltheme-search.modeltheme-search-open .modeltheme-icon-search, 
			.no-js .modeltheme-search .modeltheme-icon-search,
			.modeltheme-icon-search:hover,
			.latest-posts .post-date-month,
			.button.solid-button:hover,
			body .vc_btn.vc_btn-blue:hover, 
			body a.vc_btn.vc_btn-blue:hover, 
			body button.vc_btn.vc_btn-blue:hover,
			#contact_form2 .solid-button.button:hover,
			.subscribe > button[type=\'submit\']:hover,
			.no-results input[type=\'submit\']:hover,
			ul.ecs-event-list li span:hover,
			.pricing-table.recommended .table-content .price_circle,
			.pricing-table .table-content:hover .price_circle,
			table.compare-list .add-to-cart td a:hover,
			.navbar-nav .search_products a:hover i, 
			.navbar-nav .shop_cart a:hover i,
			#modal-search-form .modal-content input.search-input,
			.wpcf7-form .wpcf7-submit:hover,
			#comment-nav-above .nav-previous a:hover, #comment-nav-above .nav-next a:hover,
			.pricing-table.recommended .button.solid-button:hover,
			.pricing-table .table-content:hover .button.solid-button:hover,
			.widget_address_social_icons .social-links a:hover,
			#learn-press-form-login #wp-submit:hover,
			.hover-components .component:hover,
			.post-password-form input[type=\'submit\']:hover,
			blockquote::before {
		        background: '.eduprime_redux('mt_style_main_backgrounds_color_hover').';
		    }
			.woocommerce ul.cart_list li a::before, 
			.woocommerce ul.product_list_widget li a::before,
			.flickr_badge_image a::after,
			.thumbnail-overlay,
			.portfolio-hover,
			.pastor-image-content .details-holder,
			.hover-components .component,
			.item-description .holder-top  {
		        background: '.eduprime_redux("mt_style_semi_opacity_backgrounds", "color").';
		    }

		    /*------------------------------------------------------------------
		        BORDER-COLOR
		    ------------------------------------------------------------------*/
			.author-bio,
			.widget_popular_recent_tabs .nav-tabs > li.active,
			body .left-border, 
			body .right-border,
			body .member-header,
			body .member-footer .social,
			.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
			.woocommerce .woocommerce-info, 
			.woocommerce .woocommerce-message,
			body .button[type=\'submit\'],
			.navbar ul li ul.sub-menu,
			.wpb_content_element .wpb_tabs_nav li.ui-tabs-active,
			.header_mini_cart,
			.header_mini_cart.visible_cart,
			#contact-us .form-control:focus,
			.header_mini_cart .woocommerce .widget_shopping_cart .total, 
			.header_mini_cart .woocommerce.widget_shopping_cart .total,
			.sale_banner_holder:hover,
			.testimonial-img,
			.wpcf7-form input:focus, 
			.wpcf7-form textarea:focus,
			.navbar-default .navbar-toggle:hover, 
			.mmm #mega_main_menu ul > li > .mega_dropdown,
			.header_search_form,
			.navbar-default .navbar-toggle,
			blockquote{
		        border-color: '.eduprime_redux("mt_style_main_texts_color").';
		    }
		 
		    article .post-name:hover a,
		    footer .footer-top .menu .menu-item a:hover,
		    footer .widget_pages a:hover,
		    footer .widget_meta a:hover,
		    footer .widget_categories li a:hover,
		    footer .widget_categories li.cat-item:hover,
		    footer .widget_archive li a:hover,
		    footer .widget_archive li:hover {
		    	color: '.eduprime_redux("mt_style_main_backgrounds_color_hover").';
		    }

		    /*------------------------------------------------------------------
		        HOME OUR PROGRAM - ICON COURSES
		    ------------------------------------------------------------------*/
		    .iconcourses .featured_image_courses img {
    			filter: contrast(175%) brightness(3%);
			}
			.iconcourses .courses-list .featured_image_courses img:hover {
				-webkit-filter: brightness(0%);
			}

		    .mmm #mega_main_menu ul > li > .mega_dropdown{
		        border-color: '.eduprime_redux("mt_style_main_texts_color").' !important;
		    }
		    .is_header_semitransparent .navbar-default{
		    	background:transparent;
		    }
		    .first_header.is_header_semitransparent nav#modeltheme-main-head {
		    	position:absolute !important;
		    }
		    .fifth_header.is_header_semitransparent nav#modeltheme-main-head {
		    	position:absolute !important;
		    }		
		    .second_header.is_header_semitransparent .navs-template-2 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.second_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }
		    .sixth_header.is_header_semitransparent .navs-template-2 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.sixth_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }		  
		    .third_header.is_header_semitransparent .navs-template-3 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.third_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }
		    .seventh_header.is_header_semitransparent .navs-template-3 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.seventh_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }		    
		    .fourth_header.is_header_semitransparent .navs-template-4 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.fourth_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }
		    .eighth_header.is_header_semitransparent .navs-template-4 {
		    	position:absolute !important;
		    	left:0;
		    	right:0;
		    }
			.eighth_header.is_header_semitransparent .navbar-default {
		    	z-index:2;
		    }		 		    
		    '

		    ;

    wp_add_inline_style( 'eduprime-custom-style', $html );
}



/**
||-> FUNCTION: GET GOOGLE FONTS FROM THEME OPTIONS PANEL
*/
function eduprime_get_site_fonts(){
    global  $eduprime_redux;
    $fonts_string = '';
    if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
	    if (isset($eduprime_redux['google-fonts-select'])) {
	        $i = 0;
	        $len = count($eduprime_redux['google-fonts-select']);
	        foreach(array_keys($eduprime_redux['google-fonts-select']) as $key){
	            $font_url = str_replace(' ', '+', $eduprime_redux['google-fonts-select'][$key]);
	            
	            if ($i == $len - 1) {
	                // last
	                $fonts_string .= $font_url;
	            }else{
	                $fonts_string .= $font_url . '|';
	            }
	            $i++;
	        }
	        // fonts url
	        $fonts_url = add_query_arg( 'family', $fonts_string, "//fonts.googleapis.com/css" );
	        // enqueue fonts
	        wp_enqueue_style( 'eduprime-fonts', $fonts_url, array(), '1.0.0' );
	    }
	} else {
        $font_url = str_replace(' ', '+', 'Fredoka+One:regular,latin|Source+Sans+Pro:200,200italic,300,300italic,regular,italic,600,600italic,700,700italic,900,900italic,vietnamese,latin-ext,latin');
        $fonts_url = add_query_arg( 'family', $font_url, "//fonts.googleapis.com/css" );
        wp_enqueue_style( 'eduprime-fonts-fallback', $fonts_url, array(), '1.0.0' );
    }
}
add_action('wp_enqueue_scripts', 'eduprime_get_site_fonts');


/**
||-> FUNCTION: Add specific CSS class by filter
*/
add_filter( 'body_class', 'eduprime_body_classes' );
function eduprime_body_classes( $classes ) {

    // CHECK IF FEATURED IMAGE IS FALSE(Disabled)
    $post_featured_image = '';
    if (is_singular('post')) {
        if (eduprime_redux('post_featured_image')) {
            if (eduprime_redux('post_featured_image') == false) {
                $post_featured_image = 'hide_post_featured_image';
            }else{
                $post_featured_image = '';
            }
        }
    }

    // CHECK IF THE NAV IS STICKY
    $is_nav_sticky = '';
    if (eduprime_redux('is_nav_sticky')) {
        if (eduprime_redux('is_nav_sticky') == true) {
            // If is sticky
            $is_nav_sticky = 'is_nav_sticky';
        }else{
            // If is not sticky
            $is_nav_sticky = '';
        }
    }

     // CHECK IF HEADER IS SEMITRANSPARENT
    $semitransparent_header_meta = get_post_meta( get_the_ID(), 'mt_header_semitransparent', true );
    $semitransparent_header = '';
    if ( class_exists( 'ReduxFrameworkPlugin' ) ) { 
    	$semitransparent_header = 'is_header_semitransparent';
	}

    // CHECK IF ADD-TO-WISHLIST option is false
    $add_to_compare = '';
    if (eduprime_redux('is_add_to_compare_active')) {
        if (eduprime_redux('is_add_to_compare_active') == false) {
            // If is sticky
            $add_to_compare = 'hidden_compare_btn';
        }else{
            // If is not sticky
            $add_to_compare = '';
        }
    }

    
    // CHECK IF ADD-TO-COMPARE option is true
    $add_to_wishlist = '';
    if (eduprime_redux('is_add_to_wishlist_active')) {
        if (eduprime_redux('is_add_to_wishlist_active') == false) {
            // If is sticky
            $add_to_wishlist = 'hidden_wishlist_btn';
        }else{
            // If is not sticky
            $add_to_wishlist = '';
        }
    }
    
    // CHECK IF ADD-TO-COMPARE option is true
    $widgetMonsterStatus = '';
    if ( class_exists( 'Monster_Widget' ) ) {
        // If is sticky
        $widgetMonsterStatus = 'monster-widget-active';
    }else{
        // If is not sticky
        $widgetMonsterStatus = '';
    }

    // CHECK IF HEADER GRADIENT ENABLED




    // DIFFERENT HEADER LAYOUT TEMPLATES
    $header_version = 'first_header';

    $custom_header_activated = get_post_meta( get_the_ID(), 'eduprime_custom_header_options_status', true );
    $header_v = get_post_meta( get_the_ID(), 'eduprime_header_custom_variant', true );

    if (is_page() || is_single()) {
        if ($custom_header_activated && $custom_header_activated == 'yes') {
	        if ($header_v == '1') {
	            // Header Layout #1
	            $header_version = 'first_header';
	        }elseif ($header_v == '2') {
	            // Header Layout #2
	            $header_version = 'second_header';
	        }elseif ($header_v == '3') {
	            // Header Layout #3
	            $header_version = 'third_header';
	        }elseif ($header_v == '4') {
	            // Header Layout #4
	            $header_version = 'fourth_header';
	        }elseif ($header_v == '5') {
	            // Header Layout #5
	            $header_version = 'fifth_header';
	        }elseif ($header_v == '6') {
	            // Header Layout #6
	            $header_version = 'sixth_header';
	        }elseif ($header_v == '7') {
	            // Header Layout #7
	            $header_version = 'seventh_header';
	        }elseif ($header_v == '8') {
	            // Header Layout #8
	            $header_version = 'eighth_header';
	        }else{
	            // if no header layout selected show header layout #1
	            $header_version = 'first_header';
	        }
        }else{
		    if (eduprime_redux('header_layout')) {
		        if (eduprime_redux('header_layout') == 'first_header') {
		            // Header Layout #1
		            $header_version = 'first_header';
		        }elseif (eduprime_redux('header_layout') == 'second_header') {
		            // Header Layout #2
		            $header_version = 'second_header';
		        }elseif (eduprime_redux('header_layout') == 'third_header') {
		            // Header Layout #3
		            $header_version = 'third_header';
		        }elseif (eduprime_redux('header_layout') == 'fourth_header') {
		            // Header Layout #4
		            $header_version = 'fourth_header';
		        }elseif (eduprime_redux('header_layout') == 'fifth_header') {
		            // Header Layout #5
		            $header_version = 'fifth_header';
		        }elseif (eduprime_redux('header_layout') == 'sixth_header') {
		            // Header Layout #6
		            $header_version = 'sixth_header';
		        }elseif (eduprime_redux('header_layout') == 'seventh_header') {
		            // Header Layout #7
		            $header_version = 'seventh_header';
		        }elseif (eduprime_redux('header_layout') == 'eighth_header') {
		            // Header Layout #8
		            $header_version = 'eighth_header';
		        }else{
		            // if no header layout selected show header layout #1
		            $header_version = 'first_header';
		        }
		    }
        }
    }else{
	    if (eduprime_redux('header_layout')) {
	        if (eduprime_redux('header_layout') == 'first_header') {
	            // Header Layout #1
	            $header_version = 'first_header';
	        }elseif (eduprime_redux('header_layout') == 'second_header') {
	            // Header Layout #2
	            $header_version = 'second_header';
	        }elseif (eduprime_redux('header_layout') == 'third_header') {
	            // Header Layout #3
	            $header_version = 'third_header';
	        }elseif (eduprime_redux('header_layout') == 'fourth_header') {
	            // Header Layout #4
	            $header_version = 'fourth_header';
	        }elseif (eduprime_redux('header_layout') == 'fifth_header') {
	            // Header Layout #5
	            $header_version = 'fifth_header';
	        }elseif (eduprime_redux('header_layout') == 'sixth_header') {
	            // Header Layout #6
	            $header_version = 'sixth_header';
	        }elseif (eduprime_redux('header_layout') == 'seventh_header') {
	            // Header Layout #7
	            $header_version = 'seventh_header';
	        }elseif (eduprime_redux('header_layout') == 'eighth_header') {
	            // Header Layout #8
	            $header_version = 'eighth_header';
	        }else{
	            // if no header layout selected show header layout #1
	            $header_version = 'first_header';
	        }
	    }
    }


    // FOOTER ROWS CLASSES
    $footer_rows_status = '';
    $mt_footer_custom_row1_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row1_status', true );
    $mt_footer_custom_row2_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row2_status', true );
    $mt_footer_custom_row3_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row3_status', true );
    // Rows #1
    if (isset($mt_footer_custom_row1_status)) {
	    if ($mt_footer_custom_row1_status == 'disabled') {
	    	$footer_rows_status .= ' hide_footer_row1 ';
	    }
    }
    // Rows #2
    if (isset($mt_footer_custom_row2_status)) {
	    if ($mt_footer_custom_row2_status == 'disabled') {
	    	$footer_rows_status .= ' hide_footer_row2 ';
	    }
    }
    // Rows #3
    if (isset($mt_footer_custom_row3_status)) {
	    if ($mt_footer_custom_row3_status == 'disabled') {
	    	$footer_rows_status .= ' hide_footer_row3 ';
	    }
    }

    $plugin_redux_status = '';
    if ( !class_exists( 'ReduxFrameworkPlugin' ) ) {
        $plugin_redux_status = 'missing-redux-framework';
    } else {
    	$plugin_redux_status = 'added-redux-framework';
    }

    $teacher_template_clss = '';
    if(isset($_GET['lp-teacher'])) {
    	$username = $_GET['lp-teacher'];
	    $lp_user = get_user_by( 'login', $username );
	    if($lp_user) { 
	    	$teacher_template_clss = 'teacher-template';
	    }
    }



    $classes[] = wp_kses_post($widgetMonsterStatus) . ' ' . wp_kses_post($teacher_template_clss) . ' ' . wp_kses_post($footer_rows_status) . ' ' . wp_kses_post($post_featured_image) . ' ' . wp_kses_post($is_nav_sticky) . ' ' . wp_kses_post($add_to_compare) . ' ' . wp_kses_post($add_to_wishlist)  . ' ' . wp_kses_post($header_version) . ' ' . wp_kses_post($semitransparent_header) . ' ' . wp_kses_post($plugin_redux_status) . ' ';
    return $classes;

}

?>