/*
 Project author:     ModelTheme
 File name:          Custom JS
*/

(function ($) {
    'use strict';

    jQuery(window).load(function(){
        jQuery( '.linify_preloader_holder' ).fadeOut( 1000, function() {
            jQuery( this ).fadeOut();
        });
    });

    jQuery('.widget_categories li .children').each(function(){
        jQuery(this).parent().addClass('cat_item_has_children');
    });
    jQuery('.widget_nav_menu li a').each(function(){
        if (jQuery(this).text() == '') {
            jQuery(this).parent().addClass('link_missing_text');
        }
    });

    jQuery( ".compare.button" ).on( "click", function() {
        setTimeout( function(){ 
            jQuery(".compare.button.added").empty();
            console.log('Empty');
        },3000 );
    });

    jQuery(function () {
        jQuery('.share-button').share({
            flyout: 'top center'
        });
    });

    // 9th MENU Toggle - Hamburger
    var toggles = document.querySelectorAll(".c-hamburger");

    for (var i = toggles.length - 1; i >= 0; i--) {
      var toggle = toggles[i];
      toggleHandler(toggle);
    };

    function toggleHandler(toggle) {
      toggle.addEventListener( "click", function(e) {
        e.preventDefault();
        (this.classList.contains("is-btn-active") === true) ? this.classList.remove("is-btn-active") : this.classList.add("is-btn-active");
      });
    }

    
    jQuery(document).ready(function() {

        if (jQuery('body .lms-course-price .learn-press-message').length){
            jQuery("body .lms-course-price .learn-press-message").prependTo(".course-landing-summary");
        }

        jQuery(".search_products").on({
            mouseenter: function () {
                //stuff to do on mouse enter
                jQuery('.header_search_form').addClass('visibile_contact');
            },
            mouseleave: function () {
                //stuff to do on mouse leave
                jQuery('.header_search_form').removeClass('visibile_contact');
            }
        });

    }); 


    $(document).ready(function() {

        jQuery(".shop_cart").on({
            mouseenter: function () {
                //stuff to do on mouse enter
                jQuery('.header_mini_cart').addClass('visible_cart');
            },
            mouseleave: function () {
                //stuff to do on mouse leave
                jQuery('.header_mini_cart').removeClass('visible_cart');
            }
        });

        jQuery(".header_mini_cart").on({
            mouseenter: function () {
                //stuff to do on mouse enter
                jQuery(this).addClass('visible_cart');
            },
            mouseleave: function () {
                //stuff to do on mouse leave
                jQuery(this).removeClass('visible_cart');
            }
        });
        
        //Begin: Validate and Submit contact form via Ajax
        jQuery("#contact_form").validate({
            //Ajax validation rules
            rules: {
                user_name: {
                    required: true,
                    minlength: 2
                },
                user_message: {
                    required: true,
                    minlength: 10
                },
                user_subject: {
                    required: true,
                    minlength: 5
                },
                user_email: {
                    required: true,
                    email: true
                }
            },
            //Ajax validation messages
            messages: {
                user_name: {
                    required: "Please enter a name",
                    minlength: "Your name must consist of at least 2 characters"
                },
                user_message: {
                    required: "Please enter a message",
                    minlength: "Your message must consist of at least 10 characters"
                },
                user_subject: {
                    required: "Please provide a subject",
                    minlength: "Your subject must be at least 5 characters long"
                },
                user_email: "Please enter a valid email address"
            },
            //Submit via Ajax Form
            submitHandler: function() {
                jQuery('#contact_form').ajaxSubmit();
                jQuery('.success_message').fadeIn('slow');
            }
        });
        //End: Validate and Submit contact form via Ajax



        //Begin: Validate and Submit contact form 2 via Ajax
        jQuery("#contact_form2").validate({
            //Ajax validation rules
            rules: {
                user_name: {
                    required: true,
                    minlength: 2
                },
                user_message: {
                    required: true,
                    minlength: 10
                },
                user_subject: {
                    required: true,
                    minlength: 5
                },
                user_email: {
                    required: true,
                    email: true
                },
                user_phone: {
                    required: true,
                    minlength: 6,
                    number: true
                },
                user_city: {
                    required: true
                }
            },
            //Ajax validation messages
            messages: {
                user_name: {
                    required: "Please enter a name",
                    minlength: "Your name must consist of at least 2 characters"
                },
                user_message: {
                    required: "Please enter a message",
                    minlength: "Your message must consist of at least 10 characters"
                },
                user_subject: {
                    required: "Please provide a subject",
                    minlength: "Your subject must be at least 5 characters long"
                },
                user_phone: {
                    required: "Please provide a phone number",
                    minlength: "Your phone must be at least 6 numbers long",
                    number: "You must enter a number"
                },
                user_city: {
                    required: "Please provide a city"
                },
                user_email: {
                    required: "Please provide a email",
                    email: "Please enter a valid email address"
                }
            }
        });
        //End: Validate and Submit contact form via Ajax

        //Begin: Contact form overlay
        jQuery(document).ready(function() {
            jQuery( ".see_map_button" ).on( "click", function() {
                jQuery( "#map_wrapper_overlay" ).fadeOut('slow');
            });
        });
        //End: Contact form overlay
        
        //Begin: Sticky Head
    // BEGIN: MOBILE NAVIGATION OPTIMIZATION
        if (jQuery(window).width() < 768) {
            
            var expand = '<span class="expand"><a class="action-expand"></a></span>';
            jQuery('.navbar-collapse .menu-item-has-children, .navbar-collapse .mega1column, .navbar-collapse .mega2columns, .navbar-collapse .mega3columns').append(expand);

            jQuery('nav #navbar .sub-menu').hide();
            jQuery(".menu-item-has-children .expand a").on("click",function() {
                jQuery(this).parent().parent().find(' > ul').toggle();
                jQuery(this).toggleClass("show-menu");
            });
            jQuery(".mega1column .expand a, .mega2columns .expand a, .mega3columns .expand a").on("click",function() {
                jQuery(this).parent().parent().find(' > .cf-mega-menu').toggle();
                jQuery(this).toggleClass("show-menu");
            });
        }
        // END: MOBILE NAVIGATION OPTIMIZATION


        if ( jQuery( "#commentform p:empty" ).length ) {
            jQuery('#commentform p:empty').remove();
        }

        if ( jQuery( ".woocommerce_categories" ).length ) {
            jQuery( ".category a" ).on( "click", function() {
                var attr = jQuery(this).attr("class");
                jQuery(".products_by_category").removeClass("active");
                jQuery(attr).addClass("active");
                jQuery('.category').removeClass("active");
                jQuery(this).parent('.category').addClass("active");
            });  
            jQuery('.products_category .products_by_category:first').addClass("active");
            jQuery('.categories_shortcode .category:first').addClass("active");
        }
        //Begin: Search Form
        if ( jQuery( "#modeltheme-search" ).length ) {
            new UISearch( document.getElementById( 'modeltheme-search' ) );
        }
        //End: Search Form

        
        //Begin: Parallax
        jQuery('.parralax-background').parallax("50%", 0.5);
        //End: Parallax



        /*Begin: Testimonials slider*/
        jQuery(".quotes-slider").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            rewindNav       : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            singleItem      : true
        });

        jQuery(".quotes-container").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            singleItem      : true
        });
        jQuery(".testimonials-container").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   2],
                [700,   2],
                [1000,  2],
                [1200,  2],
                [1400,  2],
                [1600,  2]
            ]
        });
        jQuery(".testimonials-container-1").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   1],
                [700,   1],
                [1000,  1],
                [1200,  1],
                [1400,  1],
                [1600,  1]
            ]
        });
        jQuery(".testimonials-container-2").owlCarousel({
            
            pagination      : true,
            navigation:false,
            dots         : true,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   1],
                [700,   1],
                [1000,  2],
                [1200,  2],
                [1400,  2],
                [1600,  2]
            ]
        });
        jQuery(".testimonials-container-3").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   2],
                [700,   2],
                [1000,  3],
                [1200,  3],
                [1400,  3],
                [1600,  3]
            ]
        });
        /*End: Testimonials slider*/
        jQuery(".testimonials-container-3").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   2],
                [700,   2],
                [1000,  3],
                [1200,  3],
                [1400,  3],
                [1600,  3]
            ]
        });
        /*Begin: Pastors slider*/
        jQuery(".pastor_slider").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   2],
                [700,   2],
                [1000,  4],
                [1200,  4],
                [1400,  4],
                [1600,  4]
            ]
        });
        /*End: Pastors slider*/
        /*Begin: Clients slider*/
        jQuery(".categories_shortcode").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : false,
            slideSpeed      : 700,
            paginationSpeed : 700,
            navigationText  : ["<i class='fa fa-arrow-left'></i>","<i class='fa fa-arrow-right'></i>"],
            itemsCustom : [
                [0,     1],
                [450,   2],
                [600,   2],
                [700,   5],
                [1000,  5],
                [1200,  5],
                [1400,  5],
                [1600,  5]
            ]
        });
        /*Begin: Products by category*/
        jQuery(".clients-container").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : true,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   2],
                [600,   2],
                [700,   3],
                [1000,  5],
                [1200,  5],
                [1400,  5],
                [1600,  5]
            ]
        });
        /*Begin: Portfolio single slider*/
        jQuery(".portfolio_thumbnails_slider").owlCarousel({
            navigation      : true, // Show next and prev buttons
            pagination      : true,
            autoPlay        : false,
            slideSpeed      : 700,
            paginationSpeed : 700,
            navigationText  : ["",""],
            singleItem      : true
        });
        /*End: Portfolio single slider*/
        /*Begin: Testimonials slider*/
        jQuery(".post_thumbnails_slider").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : false,
            autoPlay        : false,
            slideSpeed      : 700,
            paginationSpeed : 700,
            singleItem      : true
        });
        var owl = jQuery(".post_thumbnails_slider");
        jQuery( ".next" ).on( "click", function() {
            owl.trigger('owl.next');
        })
        jQuery( ".prev" ).on( "click", function() {
            owl.trigger('owl.prev');
        })
        /*End: Testimonials slider*/
        
        /*Begin: Testimonials slider*/
        jQuery(".testimonials_slider").owlCarousel({
            navigation      : false, // Show next and prev buttons
            pagination      : true,
            autoPlay        : false,
            slideSpeed      : 700,
            paginationSpeed : 700,
            singleItem      : true
        });
        /*End: Testimonials slider*/
        /* Animate */
        jQuery('.animateIn').animateIn();
        // browser window scroll (in pixels) after which the "back to top" link is shown
        var offset = 300,
            //browser window scroll (in pixels) after which the "back to top" link opacity is reduced
            offset_opacity = 1200,
            //duration of the top scrolling animation (in ms)
            scroll_top_duration = 700,
            //grab the "back to top" link
            $back_to_top = jQuery('.back-to-top');
        //hide or show the "back to top" link
        jQuery(window).scroll(function(){
            ( jQuery(this).scrollTop() > offset ) ? $back_to_top.addClass('modeltheme-is-visible') : $back_to_top.removeClass('modeltheme-is-visible modeltheme-fade-out');
            if( jQuery(this).scrollTop() > offset_opacity ) { 
                $back_to_top.addClass('modeltheme-fade-out');
            }
        });
        //smooth scroll to top
        $back_to_top.on('click', function(event){
            event.preventDefault();
            $('body,html').animate({
                scrollTop: 0 ,
                }, scroll_top_duration
            );
        });
        //Begin: Skills
        jQuery('.statistics').appear(function() {
            jQuery('.percentage').each(function(){
                var dataperc = jQuery(this).attr('data-perc');
                jQuery(this).find('.skill-count').delay(6000).countTo({
                    from: 0,
                    to: dataperc,
                    speed: 5000,
                    refreshInterval: 100
                });
            });
        }); 
        //End: Skills 
        /* Youtube Video */
        if (jQuery('.player').length){
            jQuery(".player").mb_YTPlayer({});
            jQuery('.player').on("YTPStart",function(){
               jQuery('.video-bg').animate({opacity: 1}, 5000,function(){});
            });
        }


        jQuery(document).ready(function() {
          jQuery(".rippler").rippler({
            effectClass      :  'rippler-effect'
            ,effectSize      :  16      // Default size (width & height)
            ,addElement      :  'div'   // e.g. 'svg'(feature)
            ,duration        :  400
          });
        });

        //revolution slider buttons delete effect
        jQuery('.rev_slider_wrapper .rev_slider .modeltheme_button').removeClass('animateIn').removeClass('animated');


        jQuery(".testimonials-container-1").owlCarousel({
            navigation      : true, // Show next and prev buttons
            navigationText: [
            "<i class='fa fa-angle-left' aria-hidden='true'></i>",
            "<i class='fa fa-angle-right' aria-hidden='true'></i>"
            ],
            pagination      : false,
            autoPlay        : false,
            slideSpeed      : 700,
            paginationSpeed : 700,
            itemsCustom : [
                [0,     1],
                [450,   1],
                [600,   1],
                [700,   1],
                [1000,  1],
                [1200,  1],
                [1400,  1],
                [1600,  1]
            ]
        });

        jQuery('#learn-press-course-curriculum h4.section-header').on('click',function() {
            jQuery(this).parent().removeClass('active');
            if(jQuery(this).find('.collapse').hasClass('plus')) {
                jQuery(this).parent().addClass('active');
            }
        });

        jQuery(window).load(function() {
            if (jQuery('.added-redux-framework:not(.woocommerce) .blog-posts .main-content').length){
                // TWO COLS
                if (jQuery('.grid-two-columns').length){
                      var container = document.querySelector('.added-redux-framework:not(.woocommerce) .blog-posts .main-content');
                      var msnry = new Masonry( container, {
                        itemSelector: '.added-redux-framework:not(.woocommerce) .grid-two-columns',
                        columnWidth: '.added-redux-framework:not(.woocommerce) .grid-two-columns',      
                        percentPosition: true          
                      });
                } 
                // THREE COLS
                if (jQuery('.grid-three-columns').length){
                      var container = document.querySelector('.added-redux-framework:not(.woocommerce) .blog-posts .main-content');
                      var msnry = new Masonry( container, {
                        itemSelector: '.added-redux-framework:not(.woocommerce) .grid-three-columns',
                        columnWidth: '.added-redux-framework:not(.woocommerce) .grid-three-columns',      
                        percentPosition: true          
                      });
                } 
                // FOUR COLS
                if (jQuery('.grid-four-columns').length){
                      var container = document.querySelector('.added-redux-framework:not(.woocommerce) .blog-posts .main-content');
                      var msnry = new Masonry( container, {
                        itemSelector: '.added-redux-framework:not(.woocommerce) .grid-four-columns',
                        columnWidth: '.added-redux-framework:not(.woocommerce) .grid-four-columns',      
                        percentPosition: true          
                      });
                } 
            }  
          
        });


    })
} (jQuery) )