<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Modeltheme
 */

get_header(); 


$page_slider = get_post_meta( get_the_ID(), 'select_revslider_shortcode', true );
$page_sidebar = get_post_meta( get_the_ID(), 'select_page_sidebar', true );
$breadcrumbs_on_off = get_post_meta( get_the_ID(), 'breadcrumbs_on_off', true );
$page_spacing = get_post_meta( get_the_ID(), 'page_spacing', true );
?>

    <div class="modeltheme-breadcrumbs-holder">
    <?php
        if(get_post_type(get_the_ID()) == 'lp_course' && !is_single()){ ?>
            <!-- Breadcrumbs -->
            <div class="modeltheme-breadcrumbs">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                             <h1 class="page-title"><?php esc_html_e('Courses','eduprime'); ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <?php if(get_post_type(get_the_ID()) == 'lp_course' && is_single()){ ?>
            <!-- Breadcrumbs -->
            <div class="modeltheme-breadcrumbs">
                <div class="container">
                    <div class="row">
                        <?php $course_icon = get_post_meta( get_the_ID(), 'course_icon', true ); ?>
                        <div class="col-md-12">
                            <img class="course-icon" src="<?php echo esc_url($course_icon); ?>">
                        </div>
                        <div class="col-md-12">
                            <h1 class="page-title"><?php echo get_the_title(); ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <?php 
        if (isset($breadcrumbs_on_off) && $breadcrumbs_on_off == false) { ?>
            <!-- Breadcrumbs -->
            <div class="modeltheme-breadcrumbs">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <h1 class="page-title"><?php echo get_the_title(); ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <?php if ($breadcrumbs_on_off == 'yes') { ?>
        <!-- Breadcrumbs -->
        <div class="modeltheme-breadcrumbs">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="page-title"><?php echo get_the_title(); ?></h1>
                    </div>
                    <?php $breadcrumbs_text = get_post_meta( get_the_ID(), 'breadcrumbs_text', true ); ?>
                    <?php if($breadcrumbs_text) { ?>
                        <div class="col-md-12 breadcrumbs-content">
                            <p><?php echo esc_html($breadcrumbs_text); ?></p>
                        </div>
                    <?php } ?>
                    <?php $button_scroll_text = get_post_meta( get_the_ID(), 'button_scroll_text', true ); ?>
                    <?php if(!$button_scroll_text) { ?>
                        <?php $button_scroll_text = esc_html__('Check Us Out','eduprime') ?>
                    <?php } ?>
                    <div class="col-md-12">
                        <a href="#primary" class="rippler rippler-default button-winona btn btn-lg scroll-down">
                            <i class="fa fa-angle-double-down" aria-hidden="true"></i> 
                            <?php echo esc_html($button_scroll_text); ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>

        <?php if ( ! class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
        <div class="modeltheme-breadcrumbs">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="page-title"><?php echo get_the_title(); ?></h1>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>

    </div>

    <!-- Revolution slider -->
    <?php 
    if (!empty($page_slider)) {
        echo '<div class="eduprime_header_slider">';
        echo do_shortcode('[rev_slider '.esc_attr($page_slider).']');
        echo '</div>';
    }
    ?>


    <!-- Page content -->
    <div id="primary" class="<?php echo esc_attr($page_spacing); ?> content-area no-sidebar">
        <div class="container">
            <main id="main" class="site-main main-content">
                <?php while ( have_posts() ) : the_post(); ?>

                    <?php if(isset($_GET['lp-teacher'])) { ?>

                        <?php require_once get_template_directory() . '/learnpress/teacher/teacher.php'; ?>

                    <?php } else { ?>

                        <?php get_template_part( 'content', 'page' ); ?>

                        <?php
                            // If comments are open or we have at least one comment, load up the comment template
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;
                        ?>

                        <?php if(get_post_type(get_the_ID()) == 'lp_course' && is_single()){ ?>
                            <?php
                                wp_reset_postdata();
                                $args=array(  
                                    'post_type'             => 'lp_course',
                                    'post_status'           => 'publish',
                                    'post__not_in'          => array(get_the_ID()),  
                                    'posts_per_page'        => 3, // Number of related posts to display.  
                                );
                                $related_courses_query = new WP_Query( $args );  
                            ?>
                            <?php if ( $related_courses_query->have_posts() ) { ?>
                                <div class="related-posts courses-list sticky-posts col-md-12">
                                    <h2 class="heading-bottom"><?php esc_html_e('Related Courses', 'eduprime'); ?></h2>
                                    <div class="row">
                                    <?php 
                                        while( $related_courses_query->have_posts() ) {  
                                            $related_courses_query->the_post();  

                                            $course_icon = get_post_meta( $post->ID, 'course_icon', true );
                                            $payment_type = get_post_meta( $post->ID, '_lp_payment', true );
                                            $payment_sum = get_post_meta( $post->ID, '_lp_price', true );
                                            $author_id = $post->post_author;
                                            if ($payment_type == '') {
                                                $show_payment = esc_html__('Free', 'eduprime');
                                            } else{
                                                $show_payment = learn_press_get_currency_symbol() . esc_attr($payment_sum);
                                            }
                                            ?>  
                                            <div class="col-md-4 courses">
                                                <div class="shortcode_course_content">
                                                    <a href="<?php echo get_permalink($post->ID) ?>">
                                                        <div class="featured_image_courses">
                                                        </div>
                                                    </a>
                                                    <div class="course_text_content">
                                                        <div class="course_text_container">
                                                            <h5 class="course_title"><a href="<?php echo get_permalink($post->ID); ?>"><?php echo esc_html($post->post_title); ?></a></h5>
                                                            <?php $author = get_the_author_meta('display_name',$author_id); ?>
                                                            <div class="post-author">
                                                                <i class="fa fa-user-o"></i><?php echo esc_html__('Teacher: ', 'eduprime') ?><strong><?php echo esc_html($author); ?></strong>
                                                            </div>
                                                            <div class="course_badge">
                                                                <i class="fa fa-money"></i> <?php echo esc_html__('Price: ', 'eduprime') ?><strong><?php echo esc_attr($show_payment); ?></strong>
                                                            </div>               
                                                            <a class="view-course rippler rippler-default button-winona" href="<?php echo esc_url(get_permalink($post->ID)); ?>">
                                                                <i class="fa fa-eye"></i> <?php echo esc_html__('View Course', 'eduprime'); ?>
                                                            </a>
                                                            <div class="clearfix"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>

                                <?php 
                                    wp_reset_postdata();  
                                ?> 
                            <?php } ?>
                        <?php } ?>

                    <?php } ?>

                <?php endwhile; // end of the loop. ?>
            </main>
        </div>
    </div>

<?php get_footer(); ?>
