<?php
/*
* Template Name: Blog
*/
get_header(); 

$class = "col-md-8";
$sidebar = 'sidebar-1';

if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_fullwidth' ) {
    $class = "row";
}elseif ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' or eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar') {
    $class = "col-md-8";
}
$sidebar = eduprime_redux('eduprime_blog_layout_sidebar');

if ( !class_exists( 'ReduxFrameworkPlugin' ) ) {
  $sidebar = 'sidebar-1';
} 
if ( !is_active_sidebar ( $sidebar ) ) { 
  $class = "row";
}

$breadcrumbs_on_off = get_post_meta( get_the_ID(), 'breadcrumbs_on_off',            true );
$blog_page_header = get_post_meta( get_the_ID(), 'blog_page_header',            true );
$select_page_sidebar = get_post_meta( get_the_ID(), 'select_page_sidebar',            true );
?>

<?php if (isset($breadcrumbs_on_off) && $breadcrumbs_on_off == true) { ?>
    <!-- Breadcrumbs -->
    <div class="modeltheme-breadcrumbs">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="page-title"><?php echo get_the_title(); ?></h1>
                </div>
                <?php $breadcrumbs_text = get_post_meta( get_the_ID(), 'breadcrumbs_text', true ); ?>
                <?php if($breadcrumbs_text) { ?>
                    <div class="col-md-12 breadcrumbs-content">
                        <p><?php echo esc_html($breadcrumbs_text); ?></p>
                    </div>
                <?php } ?>
                <?php $button_scroll_text = get_post_meta( get_the_ID(), 'button_scroll_text', true ); ?>
                <?php if(!$button_scroll_text) { ?>
                    <?php $button_scroll_text = esc_html__('Check Us Out','eduprime') ?>
                <?php } ?>
                <div class="col-md-12">
                    <a href="#primary" class="rippler rippler-default button-winona btn btn-lg scroll-down">
                        <i class="fa fa-angle-double-down" aria-hidden="true"></i> 
                        <?php echo esc_html($button_scroll_text); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
<?php } ?>

<!-- Page content -->
<div id="primary" class="high-padding">
    <!-- Sticky posts -->

   <!-- ///////////////////// Start Grid/List Layout ///////////////////// -->
    <?php
    wp_reset_postdata();
    $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
    $args = array(
        'post_type'        => 'post',
        'post_status'      => 'publish',
        'paged'            => $paged,
    );
    $posts = new WP_Query( $args );
    ?>
    <!-- Blog content -->
    <div class="container blog-posts">
        <div class="row">
            <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar') { ?>
            <div class="col-md-4 sidebar-content">
                <?php if ( is_active_sidebar ( $select_page_sidebar ) ) { 
                    dynamic_sidebar( $select_page_sidebar ); 
                } ?>
            </div>
            <?php } ?>

            <div class="<?php echo esc_attr($class); ?> main-content">
                <?php if ( $posts->have_posts() ) : ?>
                    <?php /* Start the Loop */ ?>
                    <?php
                    while ( $posts->have_posts() ) : $posts->the_post(); 
                    ?>

                        <?php
                            get_template_part( 'content', get_post_format() );
                        ?>

                    <?php endwhile; ?>
                    <div class="clearfix"></div>
                    
                <?php else : ?>
                    <?php get_template_part( 'content', 'none' ); ?>
                <?php endif; ?>
            </div>

            
            <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>    
                <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' && is_active_sidebar( $sidebar )) { ?>
                    <div class="col-md-4 sidebar-content">
                    <?php  if ( is_active_sidebar ( $sidebar ) ) { 
                        dynamic_sidebar( $sidebar ); 
                    }  ?>
                    </div>
                <?php } ?>
            <?php }else{ ?>
                <?php if ($class == 'col-md-8') { ?>
                    <div class="col-md-4 sidebar-content">
                    <?php  if ( is_active_sidebar ( $sidebar ) ) { 
                        dynamic_sidebar( $sidebar ); 
                    }  ?>
                    </div>
                <?php } ?> 
            <?php } ?>
            

            <div class="clearfix"></div>
            <?php 
            $wp_query = new WP_Query($args);
            global  $wp_query;
            if ($wp_query->max_num_pages != 1) { ?>                 
            <div class="modeltheme-pagination pagination col-md-12">             
                <?php eduprime_pagination(); ?>
            </div>
            <?php } ?>
            
        </div>
    </div>
    <!-- ///////////////////// Stop Grid/List Layout ///////////////////// -->
</div>


<div class="clearfix"></div>
<?php
get_footer();
?>