<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

<?php
$class = "";
$side = "";
if ( eduprime_redux('eduprime_shop_layout') == 'eduprime_shop_fullwidth' ) {
    $class = "vc_col-md-12";
}elseif ( eduprime_redux('eduprime_shop_layout') == 'eduprime_shop_right_sidebar' or eduprime_redux('eduprime_shop_layout') == 'eduprime_shop_left_sidebar') {
    $class = "vc_col-md-9";
    if ( eduprime_redux('eduprime_shop_layout') == 'eduprime_shop_right_sidebar' ) {
    	$side = "right";
    }else{
    	$side = "left";
    }
}

$select_page_sidebar = get_post_meta( get_the_ID(), 'select_page_sidebar', true );
?>

	<!-- Breadcrumbs -->
    <div class="modeltheme-breadcrumbs">
        <div class="container">
            <div class="row">
            	<?php $page_id = get_option( 'woocommerce_shop_page_id' ); ?>
                <div class="col-md-12">
                    <h1 class="page-title"><?php echo get_the_title($page_id); ?></h1>
                </div>        
                <?php $breadcrumbs_text = get_post_meta( $page_id, 'breadcrumbs_text', true ); ?>
                <?php if($breadcrumbs_text) { ?>
                    <div class="col-md-12 breadcrumbs-content">
                        <p><?php echo esc_html($breadcrumbs_text); ?></p>
                    </div>
                <?php } ?>
                <?php $button_scroll_text = get_post_meta( $page_id, 'button_scroll_text', true ); ?>
                <?php if(!$button_scroll_text) { ?>
                    <?php $button_scroll_text = esc_html__('Check Us Out','eduprime') ?>
                <?php } ?>
                <div class="col-md-12">
                    <a href="#primary" class="rippler rippler-default button-winona btn btn-lg scroll-down">
                        <i class="fa fa-angle-double-down" aria-hidden="true"></i> 
                        <?php echo esc_html($button_scroll_text); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>



	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action( 'woocommerce_before_main_content' );
	?>

		<!-- Page content -->
	<div class="high-padding">
	    <!-- Blog content -->
	    <div class="container blog-posts">
	    	<div class="row">
	    	
	        <?php if ( $side == 'left' ) { ?>
	        <div class="vc_col-md-3 sidebar-content">
	            <?php
					/**
					 * woocommerce_sidebar hook
					 *
					 * @hooked woocommerce_get_sidebar - 10
					 */
					do_action( 'woocommerce_sidebar' );
				?>

	        </div>
	        <?php } ?>

            <div class="<?php echo esc_attr($class); ?> main-content">

				<?php do_action( 'woocommerce_archive_description' ); ?>

				<?php if ( have_posts() ) : ?>

					<?php
						/**
						 * woocommerce_before_shop_loop hook
						 *
						 * @hooked woocommerce_result_count - 20
						 * @hooked woocommerce_catalog_ordering - 30
						 */
						do_action( 'woocommerce_before_shop_loop' );
					?>

					<?php woocommerce_product_loop_start(); ?>

						<?php woocommerce_product_subcategories(); ?>
						
						<div class="clearfix"></div>
						<?php $count = 0; ?>
						<?php while ( have_posts() ) : the_post(); ?>
							<?php $count++; ?>

							<?php wc_get_template_part( 'content', 'product' ); ?>

							<?php if(($count%3==0)){ ?>
								<div class="clearfix"></div>
							<?php }?>

						<?php endwhile; // end of the loop. ?>
						<div class="clearfix"></div>

					<?php woocommerce_product_loop_end(); ?>

					<?php
						/**
						 * woocommerce_after_shop_loop hook
						 *
						 * @hooked woocommerce_pagination - 10
						 */
						do_action( 'woocommerce_after_shop_loop' );
					?>

				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

					<?php wc_get_template( 'loop/no-products-found.php' ); ?>

				<?php endif; ?>

			</div>

	        <?php if ( $side == 'right' ) { ?>
	        <div class="vc_col-md-3 sidebar-content">
	            <?php //dynamic_sidebar( $select_page_sidebar ); ?>
	            <?php
					/**
					 * woocommerce_sidebar hook
					 *
					 * @hooked woocommerce_get_sidebar - 10
					 */
					do_action( 'woocommerce_sidebar' );
				?>
	        </div>
	        <?php } ?>

	    	</div>
	    </div>
	</div>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>		       

<?php get_footer( 'shop' ); ?>
